/* -----------------------------------------------------------------------------------
                                     tft_pindefs.h

                     Pinbelegungen TFT-Display zu Controller


     28.01.2019  R. Seelig
   ----------------------------------------------------------------------------------- */

#ifndef in_tft_pindefs
  #define in_tft_pindefs

  #include "tftdisplay.h"

  /*  ------------------------------------------------------------
                      Pinbelegung fuer SPI-Displays
      ------------------------------------------------------------ */

  //  Anschluesse fuer MOSI und SCK sind durch Hardware-SPI fest vorgegeben und
  //  koennen nicht veraendert werden

  #define spi_mosi_init()    PC6_output_init()
  #define spi_sck_init()     PC5_output_init()

  #define spi_mosi_set()     PC6_set()
  #define spi_mosi_clr()     PC6_clr()

  #define spi_sck_set()      PC5_set()
  #define spi_sck_clr()      PC5_clr()

  #if (pindefs == 1)

    #define lcd_rst_init()     PC3_output_init()
    #define lcd_dc_init()      PC4_output_init()
    #define lcd_ce_init()      PD1_output_init()

    #define dc_set()           PC4_set()
    #define dc_clr()           PC4_clr()

    #define ce_set()           PD1_set()
    #define ce_clr()           PD1_clr()

    #define rst_set()          PC3_set()
    #define rst_clr()          PC3_clr()

    #define lcd_enable()       ce_clr()                  // geloeschte CE Leitung bedeutet aktives Display
    #define lcd_disable()      ce_set()

  #endif


#endif
